Skip to content
Get started

Submits external counting lines from an external counting integration.

POST/api/v2/public/externalcountinglines

Submits external counting lines from an external counting integration.

Body ParametersJSONExpand Collapse
CountingDateTime: string

The date and time the counting was performed.

formatdate-time
Lines: optional array of object { counted_quantity, product_barcode }

The list of counted product lines.

counted_quantity: number

The counted quantity for this product.

formatfloat
product_barcode: optional string

The product barcode that was scanned.

StoreNo: optional string

The store number.

ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Submits external counting lines from an external counting integration.

curl https://api.colleqtive.net/api/v2/public/externalcountinglines \
    -H 'Content-Type: application/json' \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" \
    -d '{
          "CountingDateTime": "2019-12-27T18:11:19.117Z"
        }'
{
  "success": true,
  "data": "data",
  "message": "message"
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}